IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network239.2.8.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
239.2.8.0- Broadcast address
239.2.11.255- First usable
239.2.8.1- Last usable
239.2.11.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
EF020800· Integer4009887744to4009888767 - Reverse DNS zones
8.2.239.in-addr.arpa9.2.239.in-addr.arpa10.2.239.in-addr.arpa11.2.239.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101111.00000010.00001000.00000000 | 239.2.8.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 11101111.00000010.00001000.00000000 | 239.2.8.0 |
| Broadcast | 11101111.00000010.00001011.11111111 | 239.2.11.255 |
Split into smaller subnets
239.2.8.0/22 makes 512 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 239.2.8.0/31 | 239.2.8.0 to 239.2.8.1 | — | 2 |
| 2 | 239.2.8.2/31 | 239.2.8.2 to 239.2.8.3 | — | 2 |
| 3 | 239.2.8.4/31 | 239.2.8.4 to 239.2.8.5 | — | 2 |
| 4 | 239.2.8.6/31 | 239.2.8.6 to 239.2.8.7 | — | 2 |
| 5 | 239.2.8.8/31 | 239.2.8.8 to 239.2.8.9 | — | 2 |
| 6 | 239.2.8.10/31 | 239.2.8.10 to 239.2.8.11 | — | 2 |
| 7 | 239.2.8.12/31 | 239.2.8.12 to 239.2.8.13 | — | 2 |
| 8 | 239.2.8.14/31 | 239.2.8.14 to 239.2.8.15 | — | 2 |
| 9 | 239.2.8.16/31 | 239.2.8.16 to 239.2.8.17 | — | 2 |
| 10 | 239.2.8.18/31 | 239.2.8.18 to 239.2.8.19 | — | 2 |
| 11 | 239.2.8.20/31 | 239.2.8.20 to 239.2.8.21 | — | 2 |
| 12 | 239.2.8.22/31 | 239.2.8.22 to 239.2.8.23 | — | 2 |
| 13 | 239.2.8.24/31 | 239.2.8.24 to 239.2.8.25 | — | 2 |
| 14 | 239.2.8.26/31 | 239.2.8.26 to 239.2.8.27 | — | 2 |
| 15 | 239.2.8.28/31 | 239.2.8.28 to 239.2.8.29 | — | 2 |
| 16 | 239.2.8.30/31 | 239.2.8.30 to 239.2.8.31 | — | 2 |
| 17 | 239.2.8.32/31 | 239.2.8.32 to 239.2.8.33 | — | 2 |
| 18 | 239.2.8.34/31 | 239.2.8.34 to 239.2.8.35 | — | 2 |
| 19 | 239.2.8.36/31 | 239.2.8.36 to 239.2.8.37 | — | 2 |
| 20 | 239.2.8.38/31 | 239.2.8.38 to 239.2.8.39 | — | 2 |
| 21 | 239.2.8.40/31 | 239.2.8.40 to 239.2.8.41 | — | 2 |
| 22 | 239.2.8.42/31 | 239.2.8.42 to 239.2.8.43 | — | 2 |
| 23 | 239.2.8.44/31 | 239.2.8.44 to 239.2.8.45 | — | 2 |
| 24 | 239.2.8.46/31 | 239.2.8.46 to 239.2.8.47 | — | 2 |
| 25 | 239.2.8.48/31 | 239.2.8.48 to 239.2.8.49 | — | 2 |
| 26 | 239.2.8.50/31 | 239.2.8.50 to 239.2.8.51 | — | 2 |
| 27 | 239.2.8.52/31 | 239.2.8.52 to 239.2.8.53 | — | 2 |
| 28 | 239.2.8.54/31 | 239.2.8.54 to 239.2.8.55 | — | 2 |
| 29 | 239.2.8.56/31 | 239.2.8.56 to 239.2.8.57 | — | 2 |
| 30 | 239.2.8.58/31 | 239.2.8.58 to 239.2.8.59 | — | 2 |
| 31 | 239.2.8.60/31 | 239.2.8.60 to 239.2.8.61 | — | 2 |
| 32 | 239.2.8.62/31 | 239.2.8.62 to 239.2.8.63 | — | 2 |
| 33 | 239.2.8.64/31 | 239.2.8.64 to 239.2.8.65 | — | 2 |
| 34 | 239.2.8.66/31 | 239.2.8.66 to 239.2.8.67 | — | 2 |
| 35 | 239.2.8.68/31 | 239.2.8.68 to 239.2.8.69 | — | 2 |
| 36 | 239.2.8.70/31 | 239.2.8.70 to 239.2.8.71 | — | 2 |
| 37 | 239.2.8.72/31 | 239.2.8.72 to 239.2.8.73 | — | 2 |
| 38 | 239.2.8.74/31 | 239.2.8.74 to 239.2.8.75 | — | 2 |
| 39 | 239.2.8.76/31 | 239.2.8.76 to 239.2.8.77 | — | 2 |
| 40 | 239.2.8.78/31 | 239.2.8.78 to 239.2.8.79 | — | 2 |
| 41 | 239.2.8.80/31 | 239.2.8.80 to 239.2.8.81 | — | 2 |
| 42 | 239.2.8.82/31 | 239.2.8.82 to 239.2.8.83 | — | 2 |
| 43 | 239.2.8.84/31 | 239.2.8.84 to 239.2.8.85 | — | 2 |
| 44 | 239.2.8.86/31 | 239.2.8.86 to 239.2.8.87 | — | 2 |
| 45 | 239.2.8.88/31 | 239.2.8.88 to 239.2.8.89 | — | 2 |
| 46 | 239.2.8.90/31 | 239.2.8.90 to 239.2.8.91 | — | 2 |
| 47 | 239.2.8.92/31 | 239.2.8.92 to 239.2.8.93 | — | 2 |
| 48 | 239.2.8.94/31 | 239.2.8.94 to 239.2.8.95 | — | 2 |
| 49 | 239.2.8.96/31 | 239.2.8.96 to 239.2.8.97 | — | 2 |
| 50 | 239.2.8.98/31 | 239.2.8.98 to 239.2.8.99 | — | 2 |
| 51 | 239.2.8.100/31 | 239.2.8.100 to 239.2.8.101 | — | 2 |
| 52 | 239.2.8.102/31 | 239.2.8.102 to 239.2.8.103 | — | 2 |
| 53 | 239.2.8.104/31 | 239.2.8.104 to 239.2.8.105 | — | 2 |
| 54 | 239.2.8.106/31 | 239.2.8.106 to 239.2.8.107 | — | 2 |
| 55 | 239.2.8.108/31 | 239.2.8.108 to 239.2.8.109 | — | 2 |
| 56 | 239.2.8.110/31 | 239.2.8.110 to 239.2.8.111 | — | 2 |
| 57 | 239.2.8.112/31 | 239.2.8.112 to 239.2.8.113 | — | 2 |
| 58 | 239.2.8.114/31 | 239.2.8.114 to 239.2.8.115 | — | 2 |
| 59 | 239.2.8.116/31 | 239.2.8.116 to 239.2.8.117 | — | 2 |
| 60 | 239.2.8.118/31 | 239.2.8.118 to 239.2.8.119 | — | 2 |
| 61 | 239.2.8.120/31 | 239.2.8.120 to 239.2.8.121 | — | 2 |
| 62 | 239.2.8.122/31 | 239.2.8.122 to 239.2.8.123 | — | 2 |
| 63 | 239.2.8.124/31 | 239.2.8.124 to 239.2.8.125 | — | 2 |
| 64 | 239.2.8.126/31 | 239.2.8.126 to 239.2.8.127 | — | 2 |
| 65 | 239.2.8.128/31 | 239.2.8.128 to 239.2.8.129 | — | 2 |
| 66 | 239.2.8.130/31 | 239.2.8.130 to 239.2.8.131 | — | 2 |
| 67 | 239.2.8.132/31 | 239.2.8.132 to 239.2.8.133 | — | 2 |
| 68 | 239.2.8.134/31 | 239.2.8.134 to 239.2.8.135 | — | 2 |
| 69 | 239.2.8.136/31 | 239.2.8.136 to 239.2.8.137 | — | 2 |
| 70 | 239.2.8.138/31 | 239.2.8.138 to 239.2.8.139 | — | 2 |
| 71 | 239.2.8.140/31 | 239.2.8.140 to 239.2.8.141 | — | 2 |
| 72 | 239.2.8.142/31 | 239.2.8.142 to 239.2.8.143 | — | 2 |
| 73 | 239.2.8.144/31 | 239.2.8.144 to 239.2.8.145 | — | 2 |
| 74 | 239.2.8.146/31 | 239.2.8.146 to 239.2.8.147 | — | 2 |
| 75 | 239.2.8.148/31 | 239.2.8.148 to 239.2.8.149 | — | 2 |
| 76 | 239.2.8.150/31 | 239.2.8.150 to 239.2.8.151 | — | 2 |
| 77 | 239.2.8.152/31 | 239.2.8.152 to 239.2.8.153 | — | 2 |
| 78 | 239.2.8.154/31 | 239.2.8.154 to 239.2.8.155 | — | 2 |
| 79 | 239.2.8.156/31 | 239.2.8.156 to 239.2.8.157 | — | 2 |
| 80 | 239.2.8.158/31 | 239.2.8.158 to 239.2.8.159 | — | 2 |
| 81 | 239.2.8.160/31 | 239.2.8.160 to 239.2.8.161 | — | 2 |
| 82 | 239.2.8.162/31 | 239.2.8.162 to 239.2.8.163 | — | 2 |
| 83 | 239.2.8.164/31 | 239.2.8.164 to 239.2.8.165 | — | 2 |
| 84 | 239.2.8.166/31 | 239.2.8.166 to 239.2.8.167 | — | 2 |
| 85 | 239.2.8.168/31 | 239.2.8.168 to 239.2.8.169 | — | 2 |
| 86 | 239.2.8.170/31 | 239.2.8.170 to 239.2.8.171 | — | 2 |
| 87 | 239.2.8.172/31 | 239.2.8.172 to 239.2.8.173 | — | 2 |
| 88 | 239.2.8.174/31 | 239.2.8.174 to 239.2.8.175 | — | 2 |
| 89 | 239.2.8.176/31 | 239.2.8.176 to 239.2.8.177 | — | 2 |
| 90 | 239.2.8.178/31 | 239.2.8.178 to 239.2.8.179 | — | 2 |
| 91 | 239.2.8.180/31 | 239.2.8.180 to 239.2.8.181 | — | 2 |
| 92 | 239.2.8.182/31 | 239.2.8.182 to 239.2.8.183 | — | 2 |
| 93 | 239.2.8.184/31 | 239.2.8.184 to 239.2.8.185 | — | 2 |
| 94 | 239.2.8.186/31 | 239.2.8.186 to 239.2.8.187 | — | 2 |
| 95 | 239.2.8.188/31 | 239.2.8.188 to 239.2.8.189 | — | 2 |
| 96 | 239.2.8.190/31 | 239.2.8.190 to 239.2.8.191 | — | 2 |
| 97 | 239.2.8.192/31 | 239.2.8.192 to 239.2.8.193 | — | 2 |
| 98 | 239.2.8.194/31 | 239.2.8.194 to 239.2.8.195 | — | 2 |
| 99 | 239.2.8.196/31 | 239.2.8.196 to 239.2.8.197 | — | 2 |
| 100 | 239.2.8.198/31 | 239.2.8.198 to 239.2.8.199 | — | 2 |
| 101 | 239.2.8.200/31 | 239.2.8.200 to 239.2.8.201 | — | 2 |
| 102 | 239.2.8.202/31 | 239.2.8.202 to 239.2.8.203 | — | 2 |
| 103 | 239.2.8.204/31 | 239.2.8.204 to 239.2.8.205 | — | 2 |
| 104 | 239.2.8.206/31 | 239.2.8.206 to 239.2.8.207 | — | 2 |
| 105 | 239.2.8.208/31 | 239.2.8.208 to 239.2.8.209 | — | 2 |
| 106 | 239.2.8.210/31 | 239.2.8.210 to 239.2.8.211 | — | 2 |
| 107 | 239.2.8.212/31 | 239.2.8.212 to 239.2.8.213 | — | 2 |
| 108 | 239.2.8.214/31 | 239.2.8.214 to 239.2.8.215 | — | 2 |
| 109 | 239.2.8.216/31 | 239.2.8.216 to 239.2.8.217 | — | 2 |
| 110 | 239.2.8.218/31 | 239.2.8.218 to 239.2.8.219 | — | 2 |
| 111 | 239.2.8.220/31 | 239.2.8.220 to 239.2.8.221 | — | 2 |
| 112 | 239.2.8.222/31 | 239.2.8.222 to 239.2.8.223 | — | 2 |
| 113 | 239.2.8.224/31 | 239.2.8.224 to 239.2.8.225 | — | 2 |
| 114 | 239.2.8.226/31 | 239.2.8.226 to 239.2.8.227 | — | 2 |
| 115 | 239.2.8.228/31 | 239.2.8.228 to 239.2.8.229 | — | 2 |
| 116 | 239.2.8.230/31 | 239.2.8.230 to 239.2.8.231 | — | 2 |
| 117 | 239.2.8.232/31 | 239.2.8.232 to 239.2.8.233 | — | 2 |
| 118 | 239.2.8.234/31 | 239.2.8.234 to 239.2.8.235 | — | 2 |
| 119 | 239.2.8.236/31 | 239.2.8.236 to 239.2.8.237 | — | 2 |
| 120 | 239.2.8.238/31 | 239.2.8.238 to 239.2.8.239 | — | 2 |
| 121 | 239.2.8.240/31 | 239.2.8.240 to 239.2.8.241 | — | 2 |
| 122 | 239.2.8.242/31 | 239.2.8.242 to 239.2.8.243 | — | 2 |
| 123 | 239.2.8.244/31 | 239.2.8.244 to 239.2.8.245 | — | 2 |
| 124 | 239.2.8.246/31 | 239.2.8.246 to 239.2.8.247 | — | 2 |
| 125 | 239.2.8.248/31 | 239.2.8.248 to 239.2.8.249 | — | 2 |
| 126 | 239.2.8.250/31 | 239.2.8.250 to 239.2.8.251 | — | 2 |
| 127 | 239.2.8.252/31 | 239.2.8.252 to 239.2.8.253 | — | 2 |
| 128 | 239.2.8.254/31 | 239.2.8.254 to 239.2.8.255 | — | 2 |
| 129 | 239.2.9.0/31 | 239.2.9.0 to 239.2.9.1 | — | 2 |
| 130 | 239.2.9.2/31 | 239.2.9.2 to 239.2.9.3 | — | 2 |
| 131 | 239.2.9.4/31 | 239.2.9.4 to 239.2.9.5 | — | 2 |
| 132 | 239.2.9.6/31 | 239.2.9.6 to 239.2.9.7 | — | 2 |
| 133 | 239.2.9.8/31 | 239.2.9.8 to 239.2.9.9 | — | 2 |
| 134 | 239.2.9.10/31 | 239.2.9.10 to 239.2.9.11 | — | 2 |
| 135 | 239.2.9.12/31 | 239.2.9.12 to 239.2.9.13 | — | 2 |
| 136 | 239.2.9.14/31 | 239.2.9.14 to 239.2.9.15 | — | 2 |
| 137 | 239.2.9.16/31 | 239.2.9.16 to 239.2.9.17 | — | 2 |
| 138 | 239.2.9.18/31 | 239.2.9.18 to 239.2.9.19 | — | 2 |
| 139 | 239.2.9.20/31 | 239.2.9.20 to 239.2.9.21 | — | 2 |
| 140 | 239.2.9.22/31 | 239.2.9.22 to 239.2.9.23 | — | 2 |
| 141 | 239.2.9.24/31 | 239.2.9.24 to 239.2.9.25 | — | 2 |
| 142 | 239.2.9.26/31 | 239.2.9.26 to 239.2.9.27 | — | 2 |
| 143 | 239.2.9.28/31 | 239.2.9.28 to 239.2.9.29 | — | 2 |
| 144 | 239.2.9.30/31 | 239.2.9.30 to 239.2.9.31 | — | 2 |
| 145 | 239.2.9.32/31 | 239.2.9.32 to 239.2.9.33 | — | 2 |
| 146 | 239.2.9.34/31 | 239.2.9.34 to 239.2.9.35 | — | 2 |
| 147 | 239.2.9.36/31 | 239.2.9.36 to 239.2.9.37 | — | 2 |
| 148 | 239.2.9.38/31 | 239.2.9.38 to 239.2.9.39 | — | 2 |
| 149 | 239.2.9.40/31 | 239.2.9.40 to 239.2.9.41 | — | 2 |
| 150 | 239.2.9.42/31 | 239.2.9.42 to 239.2.9.43 | — | 2 |
| 151 | 239.2.9.44/31 | 239.2.9.44 to 239.2.9.45 | — | 2 |
| 152 | 239.2.9.46/31 | 239.2.9.46 to 239.2.9.47 | — | 2 |
| 153 | 239.2.9.48/31 | 239.2.9.48 to 239.2.9.49 | — | 2 |
| 154 | 239.2.9.50/31 | 239.2.9.50 to 239.2.9.51 | — | 2 |
| 155 | 239.2.9.52/31 | 239.2.9.52 to 239.2.9.53 | — | 2 |
| 156 | 239.2.9.54/31 | 239.2.9.54 to 239.2.9.55 | — | 2 |
| 157 | 239.2.9.56/31 | 239.2.9.56 to 239.2.9.57 | — | 2 |
| 158 | 239.2.9.58/31 | 239.2.9.58 to 239.2.9.59 | — | 2 |
| 159 | 239.2.9.60/31 | 239.2.9.60 to 239.2.9.61 | — | 2 |
| 160 | 239.2.9.62/31 | 239.2.9.62 to 239.2.9.63 | — | 2 |
| 161 | 239.2.9.64/31 | 239.2.9.64 to 239.2.9.65 | — | 2 |
| 162 | 239.2.9.66/31 | 239.2.9.66 to 239.2.9.67 | — | 2 |
| 163 | 239.2.9.68/31 | 239.2.9.68 to 239.2.9.69 | — | 2 |
| 164 | 239.2.9.70/31 | 239.2.9.70 to 239.2.9.71 | — | 2 |
| 165 | 239.2.9.72/31 | 239.2.9.72 to 239.2.9.73 | — | 2 |
| 166 | 239.2.9.74/31 | 239.2.9.74 to 239.2.9.75 | — | 2 |
| 167 | 239.2.9.76/31 | 239.2.9.76 to 239.2.9.77 | — | 2 |
| 168 | 239.2.9.78/31 | 239.2.9.78 to 239.2.9.79 | — | 2 |
| 169 | 239.2.9.80/31 | 239.2.9.80 to 239.2.9.81 | — | 2 |
| 170 | 239.2.9.82/31 | 239.2.9.82 to 239.2.9.83 | — | 2 |
| 171 | 239.2.9.84/31 | 239.2.9.84 to 239.2.9.85 | — | 2 |
| 172 | 239.2.9.86/31 | 239.2.9.86 to 239.2.9.87 | — | 2 |
| 173 | 239.2.9.88/31 | 239.2.9.88 to 239.2.9.89 | — | 2 |
| 174 | 239.2.9.90/31 | 239.2.9.90 to 239.2.9.91 | — | 2 |
| 175 | 239.2.9.92/31 | 239.2.9.92 to 239.2.9.93 | — | 2 |
| 176 | 239.2.9.94/31 | 239.2.9.94 to 239.2.9.95 | — | 2 |
| 177 | 239.2.9.96/31 | 239.2.9.96 to 239.2.9.97 | — | 2 |
| 178 | 239.2.9.98/31 | 239.2.9.98 to 239.2.9.99 | — | 2 |
| 179 | 239.2.9.100/31 | 239.2.9.100 to 239.2.9.101 | — | 2 |
| 180 | 239.2.9.102/31 | 239.2.9.102 to 239.2.9.103 | — | 2 |
| 181 | 239.2.9.104/31 | 239.2.9.104 to 239.2.9.105 | — | 2 |
| 182 | 239.2.9.106/31 | 239.2.9.106 to 239.2.9.107 | — | 2 |
| 183 | 239.2.9.108/31 | 239.2.9.108 to 239.2.9.109 | — | 2 |
| 184 | 239.2.9.110/31 | 239.2.9.110 to 239.2.9.111 | — | 2 |
| 185 | 239.2.9.112/31 | 239.2.9.112 to 239.2.9.113 | — | 2 |
| 186 | 239.2.9.114/31 | 239.2.9.114 to 239.2.9.115 | — | 2 |
| 187 | 239.2.9.116/31 | 239.2.9.116 to 239.2.9.117 | — | 2 |
| 188 | 239.2.9.118/31 | 239.2.9.118 to 239.2.9.119 | — | 2 |
| 189 | 239.2.9.120/31 | 239.2.9.120 to 239.2.9.121 | — | 2 |
| 190 | 239.2.9.122/31 | 239.2.9.122 to 239.2.9.123 | — | 2 |
| 191 | 239.2.9.124/31 | 239.2.9.124 to 239.2.9.125 | — | 2 |
| 192 | 239.2.9.126/31 | 239.2.9.126 to 239.2.9.127 | — | 2 |
| 193 | 239.2.9.128/31 | 239.2.9.128 to 239.2.9.129 | — | 2 |
| 194 | 239.2.9.130/31 | 239.2.9.130 to 239.2.9.131 | — | 2 |
| 195 | 239.2.9.132/31 | 239.2.9.132 to 239.2.9.133 | — | 2 |
| 196 | 239.2.9.134/31 | 239.2.9.134 to 239.2.9.135 | — | 2 |
| 197 | 239.2.9.136/31 | 239.2.9.136 to 239.2.9.137 | — | 2 |
| 198 | 239.2.9.138/31 | 239.2.9.138 to 239.2.9.139 | — | 2 |
| 199 | 239.2.9.140/31 | 239.2.9.140 to 239.2.9.141 | — | 2 |
| 200 | 239.2.9.142/31 | 239.2.9.142 to 239.2.9.143 | — | 2 |
| 201 | 239.2.9.144/31 | 239.2.9.144 to 239.2.9.145 | — | 2 |
| 202 | 239.2.9.146/31 | 239.2.9.146 to 239.2.9.147 | — | 2 |
| 203 | 239.2.9.148/31 | 239.2.9.148 to 239.2.9.149 | — | 2 |
| 204 | 239.2.9.150/31 | 239.2.9.150 to 239.2.9.151 | — | 2 |
| 205 | 239.2.9.152/31 | 239.2.9.152 to 239.2.9.153 | — | 2 |
| 206 | 239.2.9.154/31 | 239.2.9.154 to 239.2.9.155 | — | 2 |
| 207 | 239.2.9.156/31 | 239.2.9.156 to 239.2.9.157 | — | 2 |
| 208 | 239.2.9.158/31 | 239.2.9.158 to 239.2.9.159 | — | 2 |
| 209 | 239.2.9.160/31 | 239.2.9.160 to 239.2.9.161 | — | 2 |
| 210 | 239.2.9.162/31 | 239.2.9.162 to 239.2.9.163 | — | 2 |
| 211 | 239.2.9.164/31 | 239.2.9.164 to 239.2.9.165 | — | 2 |
| 212 | 239.2.9.166/31 | 239.2.9.166 to 239.2.9.167 | — | 2 |
| 213 | 239.2.9.168/31 | 239.2.9.168 to 239.2.9.169 | — | 2 |
| 214 | 239.2.9.170/31 | 239.2.9.170 to 239.2.9.171 | — | 2 |
| 215 | 239.2.9.172/31 | 239.2.9.172 to 239.2.9.173 | — | 2 |
| 216 | 239.2.9.174/31 | 239.2.9.174 to 239.2.9.175 | — | 2 |
| 217 | 239.2.9.176/31 | 239.2.9.176 to 239.2.9.177 | — | 2 |
| 218 | 239.2.9.178/31 | 239.2.9.178 to 239.2.9.179 | — | 2 |
| 219 | 239.2.9.180/31 | 239.2.9.180 to 239.2.9.181 | — | 2 |
| 220 | 239.2.9.182/31 | 239.2.9.182 to 239.2.9.183 | — | 2 |
| 221 | 239.2.9.184/31 | 239.2.9.184 to 239.2.9.185 | — | 2 |
| 222 | 239.2.9.186/31 | 239.2.9.186 to 239.2.9.187 | — | 2 |
| 223 | 239.2.9.188/31 | 239.2.9.188 to 239.2.9.189 | — | 2 |
| 224 | 239.2.9.190/31 | 239.2.9.190 to 239.2.9.191 | — | 2 |
| 225 | 239.2.9.192/31 | 239.2.9.192 to 239.2.9.193 | — | 2 |
| 226 | 239.2.9.194/31 | 239.2.9.194 to 239.2.9.195 | — | 2 |
| 227 | 239.2.9.196/31 | 239.2.9.196 to 239.2.9.197 | — | 2 |
| 228 | 239.2.9.198/31 | 239.2.9.198 to 239.2.9.199 | — | 2 |
| 229 | 239.2.9.200/31 | 239.2.9.200 to 239.2.9.201 | — | 2 |
| 230 | 239.2.9.202/31 | 239.2.9.202 to 239.2.9.203 | — | 2 |
| 231 | 239.2.9.204/31 | 239.2.9.204 to 239.2.9.205 | — | 2 |
| 232 | 239.2.9.206/31 | 239.2.9.206 to 239.2.9.207 | — | 2 |
| 233 | 239.2.9.208/31 | 239.2.9.208 to 239.2.9.209 | — | 2 |
| 234 | 239.2.9.210/31 | 239.2.9.210 to 239.2.9.211 | — | 2 |
| 235 | 239.2.9.212/31 | 239.2.9.212 to 239.2.9.213 | — | 2 |
| 236 | 239.2.9.214/31 | 239.2.9.214 to 239.2.9.215 | — | 2 |
| 237 | 239.2.9.216/31 | 239.2.9.216 to 239.2.9.217 | — | 2 |
| 238 | 239.2.9.218/31 | 239.2.9.218 to 239.2.9.219 | — | 2 |
| 239 | 239.2.9.220/31 | 239.2.9.220 to 239.2.9.221 | — | 2 |
| 240 | 239.2.9.222/31 | 239.2.9.222 to 239.2.9.223 | — | 2 |
| 241 | 239.2.9.224/31 | 239.2.9.224 to 239.2.9.225 | — | 2 |
| 242 | 239.2.9.226/31 | 239.2.9.226 to 239.2.9.227 | — | 2 |
| 243 | 239.2.9.228/31 | 239.2.9.228 to 239.2.9.229 | — | 2 |
| 244 | 239.2.9.230/31 | 239.2.9.230 to 239.2.9.231 | — | 2 |
| 245 | 239.2.9.232/31 | 239.2.9.232 to 239.2.9.233 | — | 2 |
| 246 | 239.2.9.234/31 | 239.2.9.234 to 239.2.9.235 | — | 2 |
| 247 | 239.2.9.236/31 | 239.2.9.236 to 239.2.9.237 | — | 2 |
| 248 | 239.2.9.238/31 | 239.2.9.238 to 239.2.9.239 | — | 2 |
| 249 | 239.2.9.240/31 | 239.2.9.240 to 239.2.9.241 | — | 2 |
| 250 | 239.2.9.242/31 | 239.2.9.242 to 239.2.9.243 | — | 2 |
| 251 | 239.2.9.244/31 | 239.2.9.244 to 239.2.9.245 | — | 2 |
| 252 | 239.2.9.246/31 | 239.2.9.246 to 239.2.9.247 | — | 2 |
| 253 | 239.2.9.248/31 | 239.2.9.248 to 239.2.9.249 | — | 2 |
| 254 | 239.2.9.250/31 | 239.2.9.250 to 239.2.9.251 | — | 2 |
| 255 | 239.2.9.252/31 | 239.2.9.252 to 239.2.9.253 | — | 2 |
| 256 | 239.2.9.254/31 | 239.2.9.254 to 239.2.9.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |